This server provides tools to manage Filestore resources like instances, snapshots, and backups.
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The Cloud Filestore API MCP server has the following global MCP endpoint:
- https://file.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The file.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
filestore_list_instances |
Lists all Filestore instances. |
filestore_get_instance |
Gets the details of a specific Filestore instance. |
filestore_list_snapshots |
Lists all snapshots for a specific Filestore instance. |
filestore_get_snapshot |
Gets the details of a specific snapshot. |
filestore_create_snapshot |
Creates a new snapshot of a Filestore instance. |
filestore_list_backups |
Lists all backups. |
filestore_get_backup |
Gets the details of a specific backup. |
filestore_create_backup |
Creates a new backup. |
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://file.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |